apt-get upgrade não funciona no Kali Linux, como resolver?

1. apt-get upgrade não funciona no Kali Linux, como resolver?

Anisio Andre Santos Junior
aasj

(usa Ubuntu)

Enviado em 30/08/2019 - 17:24h

Segue resultado após o comando:
root@localhost:~# apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
e2fsprogs iptables libext2fs2 libiptc0 libxtables12 openssh-client
openssh-server openssh-sftp-server
The following packages will be upgraded:
gcc-8-base hostname libcryptsetup12 libcups2 libcupsimage2 libijs-0.35
metasploit-framework sysvinit-utils
8 upgraded, 0 newly installed, 0 to remove and 8 not upgraded.
Need to get 0 B/133 MB of archives.
After this operation, 265 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
E: Setting in Start via TCSAFLUSH for stdin failed! - tcsetattr (13: Permission denied)
dpkg: error processing archive /var/cache/apt/archives/hostname_3.22_arm64.deb (--unpack):
cannot open security status notification channel
Errors were encountered while processing:
/var/cache/apt/archives/hostname_3.22_arm64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


  


2. Re: apt-get upgrade não funciona no Kali Linux, como resolver?

Andre (pinduvoz)
pinduvoz

(usa Debian)

Enviado em 30/08/2019 - 18:26h

Tente esse comando, com sudo (pelo seu usuário) ou como root:

sudo apt install gcc-8-base libcryptsetup12 libcups2 libcupsimage2 libijs-0.35
metasploit-framework sysvinit-utils

Depois rode isso:

sudo apt dist-upgrade

Se faltar apenas o pacote "hostname" (que é o pacote que estava dando problema), talvez o erro retorne.


3. Re: apt-get upgrade não funciona no Kali Linux, como resolver?

Anisio Andre Santos Junior
aasj

(usa Ubuntu)

Enviado em 30/08/2019 - 18:39h

retorno após o comando:
root@localhost:~# sudo apt install gcc-8-base libcryptsetup12 libcups2 libcupsimage2 libijs-0.35
Reading package lists... Done
Building dependency tree
Reading state information... Done
Suggested packages:
cups-common
The following packages will be upgraded:
gcc-8-base libcryptsetup12 libcups2 libcupsimage2 libijs-0.35
5 upgraded, 0 newly installed, 0 to remove and 11 not upgraded.
Need to get 0 B/866 kB of archives.
After this operation, 105 kB of additional disk space will be used.
E: Setting in Start via TCSAFLUSH for stdin failed! - tcsetattr (13: Permission denied)
dpkg: error processing archive /var/cache/apt/archives/gcc-8-base_8.3.0-21_arm64.deb (--unpack):
cannot open security status notification channel
E: Sub-process /usr/bin/dpkg received a segmentation fault.


4. Re: apt-get upgrade não funciona no Kali Linux, como resolver?

Henrique Souza
pegasus64

(usa Debian)

Enviado em 30/08/2019 - 20:20h

Meio incomum problemas de permissão no kali utilizando o usuário root, poderia fazer um teste realizando o upgrade com outro usuário?

# useradd -ou 0 -g 0 usuarioteste
# passwd usuarioteste
# usermod -a -G root usuarioteste
# su usuarioteste
# sudo apt-get upgrade

Sera que assim vc consegue realizar o upgrade?

Para deletar o usuário basta editar o arquivo /etc/passwd, o usuário criado terá uma entrada parecida com essa usuarioteste:x:0:0::/root:/bin/bash, troque o :0:0: por algo tipo :10:10: e depois delete ele com um
# userdel usuarioteste




5. Re: apt-get upgrade não funciona no Kali Linux, como resolver?

Andre (pinduvoz)
pinduvoz

(usa Debian)

Enviado em 31/08/2019 - 01:17h

Confira o tópico abaixo:

https://www.vivaolinux.com.br/topico/Kali-Linux/Erro-em-apt-get-update

Corrija a lista de fontes como indicado (se a sua já estiver correta, deixe quieto), instale a chave GPG e tente atualizar.



6. Re: apt-get upgrade não funciona no Kali Linux, como resolver?

Andre (pinduvoz)
pinduvoz

(usa Debian)

Enviado em 31/08/2019 - 01:22h

Reparei num detalhe. Os pacotes que você pode atualizar já foram baixados para sua máquina e pode ser (seria muito azar, mas...) que um ou todos eles estejam corrompidos.

Eu limparia o cache o APT, assim:

$ su (senha do root)
# cd /var/cache/apt/archives/
# rm *.deb


7. Re: apt-get upgrade não funciona no Kali Linux, como resolver?

Anisio Andre Santos Junior
aasj

(usa Ubuntu)

Enviado em 02/09/2019 - 02:09h

Segue todas essas orientações e não funcionou. Gostaria de informar que estou usando kalinethunter no oneplus 5t com root. Há poucos minutos atrás, dei o comando apt-get update e tive a seguinte saída:


8. Re: apt-get upgrade não funciona no Kali Linux, como resolver?

Anisio Andre Santos Junior
aasj

(usa Ubuntu)

Enviado em 02/09/2019 - 02:32h

Estava agora analisando a saída após o comando e como já tinha lido alguns artigos, dei o comando apt-key adv --keyserver hkp://keys.gnupg.net --recv-keys 7D8D0BF6 seguido do apt-get update e tudo deu certo. Gostaria de agradecer imensamente a vocês que não mediram esforços para me ajudar. Muito obrigado.


9. Re: apt-get upgrade não funciona no Kali Linux, como resolver?

Anisio Andre Santos Junior
aasj

(usa Ubuntu)

Enviado em 02/09/2019 - 17:43h

Quero instalar algumas ferramentas, dai usei o apt-get update quando usei o apt-get upgrade tive como saída:
root@kali:# apt-get update
Reading package lists... Done
Reading dependency tree
Reading state information... Done
you might want to run 'apt-get -f install' to correct these
the following packages have unmaet dependencies:
libc-dev-bin: Depends: libc6 (>2.28) but 2.23-4 is installed
libc6-dev: Depends: libc-dev-bin )=2.23-4) but 2.28-10 is installed
E: Unmet dependencies. Try using -f
Alguém pode me ajudar?



10. Re: apt-get upgrade não funciona no Kali Linux, como resolver?

Andre (pinduvoz)
pinduvoz

(usa Debian)

Enviado em 02/09/2019 - 21:21h


<<you might want to run 'apt-get -f install' to correct these>>

Rode isso:

sudo apt-get -f install

Se não usa o sudo, rode como root:

apt-get -f install

Você já checou sua lista de fontes, como eu sugeri?


11. Re: apt-get upgrade não funciona no Kali Linux, como resolver?

Anisio Andre Santos Junior
aasj

(usa Ubuntu)

Enviado em 03/09/2019 - 17:31h

Boa tarde.Utilizei suas orientações e quando dei o comando apt-get upgrade tive continuei tendo essa saída:
root@kali:# apt-get update
Reading package lists... Done
Reading dependency tree
Reading state information... Done
you might want to run 'apt-get -f install' to correct these
the following packages have unmaet dependencies:
libc-dev-bin: Depends: libc6 (>2.28) but 2.23-4 is installed
libc6-dev: Depends: libc-dev-bin )=2.23-4) but 2.28-10 is installed
E: Unmet dependencies. Try using -f

Alguém pode me ajudar? tentei vários processos e até agora problema ainda sem solução :/


12. Re: apt-get upgrade não funciona no Kali Linux, como resolver?

Andre (pinduvoz)
pinduvoz

(usa Debian)

Enviado em 04/09/2019 - 01:45h


Você tentou a opção "-f", assim:

sudo apt-get -f install

e não funcionou?

Tente novamente e poste o resultado aqui.



01 02



Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts